Subject: Re: bug#21373: compile for development version from git fails on OpenBSD

From: [email-masked] (Ludovic Courtès)
Date: Fri, 30 Oct 2015 00:14:22 +0100

Jamil Egdemir <[email-masked]> skribis:

> I was using the flex that came with OpenBSD 5.6 which was 2.5.4 so I
> pulled down and installed flex-2.5.39.  This got me past these errors
> though I'm not sure if this is associated with differences between the
> OpenBSD brand of flex or just a versioning issue.  If it's a versioning
> issue then it probably make sense to put something in configure.ac like
> AC_PROG_LEX to make sure we have a flex that's a bit more recent than
> 2.5.4 as suggested here:

We cannot use AC_PROG_LEX because Flex is not a dependency when building
from a tarball.  AC_PROG_LEX would look for flex/lex when running
‘configure’, even though it’s not actually needed.

Maybe we could specify a minimum version number in ‘HACKING’ though? I’m
not sure which one.

Thanks,
Ludo’.